classification
Title: Revert back StreamWriter awrite/aclose but provide await writer.write() and await writer.close()
Type: Stage: resolved
Components: asyncio Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: asvetlov, vstinner, yselivanov
Priority: normal Keywords: patch

Created on 2019-05-05 14:10 by asvetlov, last changed 2019-05-24 14:18 by asvetlov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13099 merged asvetlov, 2019-05-05 14:29
PR 13316 closed vstinner, 2019-05-14 15:13
Messages (3)
msg341450 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-05-05 14:10
Yuri and I decided that `writer.awrite()` and `writer.aclose()` look ugly.

Instead, we return awaitable object from these methods to allow both `writer.write(b'data')` and `await writer.write(b'data')` for the method.

The same for `writer.close()` call.
msg341994 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2019-05-09 19:15
New changeset a076e4f5e42b85664693191d04cfb33e2f9acfa5 by Andrew Svetlov in branch 'master':
bpo-36802: Drop awrite()/aclose(), support await write() and await close() instead (#13099)
https://github.com/python/cpython/commit/a076e4f5e42b85664693191d04cfb33e2f9acfa5
msg342471 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-05-14 15:22
It seems like the commit a076e4f5e42b85664693191d04cfb33e2f9acfa5 introduced a regression: bpo-36870, test_drain_raises() of test_asyncio started to fail randomly, mostly on Windows. bpo-36870 is making AppVeyor failing on pull requests and make Windows buildbots fail randomly. I wrote PR 13316 to revert the commit to get more time to find a proper fix.
https://pythondev.readthedocs.io/ci.html#revert-on-fail
History
Date User Action Args
2019-05-24 14:18:08asvetlovsetstatus: open -> closed
resolution: fixed
2019-05-14 15:22:34vstinnersetstatus: closed -> open

nosy: + vstinner
messages: + msg342471

resolution: fixed -> (no value)
2019-05-14 15:13:45vstinnersetpull_requests: + pull_request13226
2019-05-09 20:29:51asvetlovsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-05-09 19:15:03asvetlovsetmessages: + msg341994
2019-05-05 14:29:54asvetlovsetkeywords: + patch
stage: patch review
pull_requests: + pull_request13012
2019-05-05 14:10:52asvetlovcreate